import { CustomerBeanAccountVo } from './baseClass';
import { customerFetch, ResponseDataEntity } from '.';

type Params = {
  areaId: number;

  /** 会员电话 */
  customerPhone: string;

  /** 会员id */
  id: number;

  /** 服务id */
  serviceIdList: string[];
};
export const fetchBeanCount = (
  data: Params,
): Promise<ResponseDataEntity<CustomerBeanAccountVo[]>> =>
  customerFetch({
    url: '/customerAccount/queryAccount',
    method: 'POST',
    data: data,
  });
